Overview | Modules | Class Hierarchy | Classes | Members
# tlp::GWOverviewWidget Class Reference [Tulip_Widgets] `#include <GWOverviewWidget.h>` Collaboration diagram for tlp::GWOverviewWidget: [legend] List of all members. ## Public Slots void setObservedView (GlMainWidget *, GlSimpleEntity *entity) void updateView () ## Signals void hideOverview (bool) ## Public Member Functions GWOverviewWidget (QWidget *parent=0, bool drawIfNotVisible=false) ~GWOverviewWidget () bool eventFilter (QObject *, QEvent *) GlMainWidget * getObservedView () GlMainWidget * getView () void setDrawIfNotVisible (bool drawIfNotVisible) ## Constructor & Destructor Documentation
tlp::GWOverviewWidget::GWOverviewWidget | ( | QWidget * | parent = `0`,
|  | bool | drawIfNotVisible = `false`
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010